Get Consent Link.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

In this step, we'll be getting consent from the bank account holder to access their account.

To do this, this endpoint returns a consent URI. This URI will display a form for the user to fill out and submit their bank account details. Are you ready to proceed with this step?

🚧

Please remember to pass the JWT token as a bearer token.

Along with the JWT, the following parameters are also required:

{
  "account_holder_name": "Mansa Musa",
  "account_number": "9876543210",
  "consent_request_id": "2acfa0a8-eca5-11ec-8ea0-0242ac120002",
  "consent_scope_code": "READ_TRANS",
  "financial_institution_code":  "EQBLKENA",
  "consent_expiry_date":  "yyyy-MM-dd",
  "integration_type":  "INTERNET_BANKING",
}
📘

  • account_holder_name - Full name as registered in the bank
  • account_number - Given account number from the bank
  • consent_request_id - A unique UUID that is used to track your request.
  • consent_scope_code - The permission scope that will be used to connect to the account. Find a list of permission scopes here
  • financial_institution_code - A bank code (swift code) representing a financial institution belong to a customer. Find a list of permission scopes here
  • consent_expiry_date - Desired date for consent expiry, dateformat is yyyy-MM-dd
  • integration_type - The integration type to be used to connect to the account
Body Params
string
required
length between 5 and 2147483647

A bank code (swift code) representing a financial institution belong to a customer

string
required
length between 8 and 34
[\d]+

The customers account at the financial institution

string
required
length between 5 and 2147483647

Customer name

string

Customer email which can be used for communication with the customer

string
required
length between 6 and 64
[\w_/.-]+
string
string
enum
required
Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*